Pamac-aur question

Ok this is on my Arch/Cinnamon install not EOS Xfce install, this is the error I’m getting. Server down?

[dad@archlinux ~]$ yay
[sudo] password for dad: 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
 there is nothing to do
:: Searching databases for updates...
:: Searching AUR for updates...
:: 1 Packages to upgrade.
1  aur/pamac-aur  9.5.12-1 -> 10.0.0-1
==> Packages to exclude: (eg: "1 2 3", "1-3", "^4" or repo name)
==> 
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  pamac-aur-10.0.0-1

  1 pamac-aur                        (Installed) (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> A
:: Deleting (1/1): /home/dad/.cache/yay/pamac-aur
:: Downloaded PKGBUILD (1/1): pamac-aur
  1 pamac-aur                        (Installed) (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> N
:: (1/1) Parsing SRCINFO: pamac-aur
==> Making package: pamac-aur 10.0.0-1 (Sat 19 Dec 2020 04:18:51 PM EST)
==> Retrieving sources...
  -> Downloading pamac-10.0.0-1.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  832k  100  832k    0     0   629k      0  0:00:01  0:00:01 --:--:--  629k
==> Validating source files with sha256sums...
    pamac-10.0.0-1.tar.gz ... Passed
==> Making package: pamac-aur 10.0.0-1 (Sat 19 Dec 2020 04:18:56 PM EST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found pamac-10.0.0-1.tar.gz
==> Validating source files with sha256sums...
    pamac-10.0.0-1.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting pamac-10.0.0-1.tar.gz with bsdtar
==> Starting prepare()...
==> Sources are ready.
==> Making package: pamac-aur 10.0.0-1 (Sat 19 Dec 2020 04:19:05 PM EST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
The Meson build system
Version: 0.56.0
Source dir: /home/dad/.cache/yay/pamac-aur/src/pamac-4431c12f2b7920ef437b9a30068f7a545d72549d
Build dir: /home/dad/.cache/yay/pamac-aur/src/pamac-4431c12f2b7920ef437b9a30068f7a545d72549d/builddir
Build type: native build
Project name: pamac
Project version: 10.0
Using 'CFLAGS' from environment with value: '-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
Using 'LDFLAGS' from environment with value: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Using 'CPPFLAGS' from environment with value: '-D_FORTIFY_SOURCE=2'
C compiler for the host machine: cc (gcc 10.2.0 "cc (GCC) 10.2.0")
C linker for the host machine: cc ld.bfd 2.35.1
Vala compiler for the host machine: valac (valac 0.50.2)
Using 'CFLAGS' from environment with value: '-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
Using 'LDFLAGS' from environment with value: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Using 'CPPFLAGS' from environment with value: '-D_FORTIFY_SOURCE=2'
Host machine cpu family: x86_64
Host machine cpu: x86_64
Found pkg-config: /usr/bin/pkg-config (1.7.3)
Program glib-compile-resources found: YES (/usr/bin/glib-compile-resources)
Program glib-compile-resources found: YES (/usr/bin/glib-compile-resources)
Program glib-compile-resources found: YES (/usr/bin/glib-compile-resources)
Found pkg-config: /usr/bin/pkg-config (1.7.3)
Run-time dependency gobject-2.0 found: YES 2.66.4
Run-time dependency gio-2.0 found: YES 2.66.4
Run-time dependency gthread-2.0 found: YES 2.66.4
Run-time dependency libalpm found: YES 12.0.2
Run-time dependency json-glib-1.0 found: YES 1.6.0
Run-time dependency libsoup-2.4 found: YES 2.72.0
Run-time dependency polkit-gobject-1 found: YES 0.118
Run-time dependency libnotify found: YES 0.7.9
Run-time dependency appstream-glib found: YES 0.7.18
Run-time dependency gio-unix-2.0 found: YES 2.66.4
Run-time dependency gtk+-3.0 found: YES 3.24.24
Run-time dependency gdk-3.0 found: YES 3.24.24
Run-time dependency gdk-pixbuf-2.0 found: YES 2.42.2
Run-time dependency gmodule-2.0 found: YES 2.66.4
Library posix found: YES
Library m found: YES
Program g-ir-compiler found: YES (/usr/bin/g-ir-compiler)
Configuring org.manjaro.pamac.manager.service using configuration
Configuring org.manjaro.pamac.daemon.service using configuration
Configuring pamac-daemon.service using configuration
Configuring pamac-cleancache.service using configuration
Program pacman-mirrors found: NO
Program a2x found: NO

../data/doc/meson.build:1:0: ERROR: Program 'a2x' not found

A full log can be found at /home/dad/.cache/yay/pamac-aur/src/pamac-4431c12f2b7920ef437b9a30068f7a545d72549d/builddir/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...
error making: pamac-aur
[dad@archlinux ~]$ 

:thinking:

Since this is vanilla arch did you enable the multilib repos?

1 Like

Under preferences I enabled AUR & check for updates.

Go here…

sudo nano /etc/pacman.conf in terminal.

Remove the # from here…

CTRL+x and save.

reboot.

Multilib repo is in /etc/pacman.conf

Uncomment it

1 Like

asciidoc?

Definitely needs asciidoc, but then fails with an esoteric error message.

It is however, in chaotic-aur repo.

Nope, that didn’t work same exact error. :thinking:

Never had this happen before.

You need to sudo pacman -Sy after reboot.

Same error :thinking:

Could i use the pacmac-aur-git ?

Try it, cant hurt, I can’t test it as I installed pacman alpha.

1 Like

Ok that worked & it installed the asciidoc that @xircon had mentioned now all is good. Thank you everyone! :nerd_face:

Edit: Not to mention when you browse now i can actually see stuff, before it was blank lol. Not that it mattered but nice anywho. :grinning:

In the version 10.0.1-1 the dependencies have been corrected.

Btw., why in the lounge?

2 Likes

Maybe he feels more comfortable sitting on a nice couch, having a good whiskey and a cigar. :wink:
Scnr

4 Likes